package com.xhpc.user.mapper;

import com.xhpc.user.domain.XhpcDonationInvoice;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author yuyang
 * @date 2022/6/22 11:48
 */
public interface XhpcDonationInvoiceMapper {


    int insertDonationInvoice(XhpcDonationInvoice xhpcDonationInvoice);

    int updateDonationInvoice(XhpcDonationInvoice xhpcDonationInvoice);

    //查询重复信息
    List<XhpcDonationInvoice> getDonationInvoiceMessage(@Param("params") Map<String, Object> params);

    int getDonationInvoiceRepeat(@Param("donationInvoiceId") Long donationInvoiceId,@Param("name") String name,@Param("titleContent") String titleContent,@Param("dutyNumber") String dutyNumber,@Param("tenantId") String tenantId);

    XhpcDonationInvoice getDonationInvoiceById(@Param("donationInvoiceId") Long donationInvoiceId,@Param("tenantId") String tenantId);

    int updateDonationInvoiceById(@Param("donationInvoiceId") Long donationInvoiceId,@Param("tenantId") String tenantId);
}
